## Index

### Interfaces

- IInject
- IMetadata
- IMustr
- IMustrOptions
- IPartials
- IRegister
- IRegisterOptions
- ITemplate
- ITemplates

### Type aliases

- AfterRender
- BeforeRender
- InjectCallback
- NodeCallback

## Type aliases

### AfterRender

AfterRender: function

- Defined in interfaces.ts:5

#### Type declaration

- - (template?: ITemplate): any

  - #### Parameters

    - ##### Optional template: ITemplate

    #### Returns any

### BeforeRender

BeforeRender: function

- Defined in interfaces.ts:3

#### Type declaration

- - (template?: ITemplate, done?: function): any

  - #### Parameters

    - ##### Optional template: ITemplate

    - ##### Optional done: function

      - - (): any

        - #### Returns any

### InjectCallback

InjectCallback: function

- Defined in interfaces.ts:9

#### Type declaration

- - (line: string, data: string, done: function): any

  - #### Parameters

    - ##### line: string

    - ##### data: string

    - ##### done: function

      - - (line: string, data: string): any

        - #### Parameters

          - ##### line: string

          - ##### data: string

          #### Returns any

### NodeCallback

NodeCallback: function

- Defined in interfaces.ts:7

#### Type declaration

- - (err?: any, data?: any): any

  - #### Parameters

    - ##### Optional err: any

    - ##### Optional data: any

    #### Returns any

Generated using TypeDoc